import axios from "../../utils/axios";

export function productList(query) {
    return axios(
        {
            url: "warehouse/product/filter",
            method: "get",
            params: query
        }
    );
}

export function addProduct(query) {
    return axios(
        {
            url: "warehouse/product/insert",
            method: "post",
            data: query
        }
    );
}

export function updateProduct(query) {
    return axios(
        {
            url: "warehouse/product/update",
            method: "post",
            data: query
        }
    );
}

export function deleteProduct(query) {
    return axios(
        {
            url: "warehouse/product/delete",
            method: "post",
            data: query
        }
    );
}

export function updateOrderCount(query) {
    return axios({
        url: "warehouse/product/updateCount",
        method: "post",
        data: query

    });
}



